Bug 291400 - Collection Browser Filter dialog doesn't allow to enter a length higher than 59:59 minutes, works in the filter field directly in seconds though
Summary: Collection Browser Filter dialog doesn't allow to enter a length higher than ...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collection Browser (show other bugs)
Version: 2.8.0
Platform: Ubuntu Packages Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-12 21:46 UTC by robert marshall
Modified: 2014-05-06 16:02 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description robert marshall 2012-01-12 21:46:34 UTC
Version:           2.5.0 (using KDE 4.7.4) 
OS:                Linux

The code assumes that the length the user is going to enter is less than 60 minutes and moves the position unexpectedly

Reproducible: Always

Steps to Reproduce:
Local Collection->Edit Filter, drag length to the bar, I selected 'greater than. If you then select the minutes (there's no indication that they - the lh field is minutes btw) with the mouse and try typing 62, after typing 6 that is taken as 6 minutes and cursor moves to the second field and you end up entering the value 6:02 which was somewhat unexpected. 

Actual Results:  
as above

Expected Results:  
as above

I do have tracks for than 60 mins long and was trying to find them - yes I can compute that in seconds and hand enter it but it would be nicer if the code didn't assume - or is this going to break expected behaviour for others? If so could the box allow you to enter a larger value by you positioning the cursor and entering a value - rather than when you're in select and type over mode - eg length contains 4:56, you position the cursor before the 4, my view is that it is unexpected that typing 6 does nothing.
(BTW the hint in this webpage for selecting Collection Browser 'For bugs and whishes...' - an extra 'h' in wishes)
Comment 1 Myriam Schweingruber 2012-01-14 01:47:56 UTC
Actually, this is not a wish but a real bug:
The filter dialog doesn't allow to enter a length in seconds nor does it allow to enter a length that is higher than 59:59 minutes.
It is possible to enter a filter with length:>40000 for example in the filter field directly.
Comment 2 Mikhail Ivchenko 2013-12-01 15:11:19 UTC
Reproducible in amarok 2.8.0
Comment 3 Abhay Sombanshi 2013-12-31 11:05:22 UTC
hi all,
I've worked on this bug.
Here's my first patch https://git.reviewboard.kde.org/r/114752/ .
Comment 4 robert marshall 2014-01-06 19:49:28 UTC
Thanks - I'll try patching my build and see how it goes. I would guess that the result is that the focus when you enter the time field focus will be on the hh component so that people which have been used to it just displaying mm:ss may well enter the wrong value in future, unless they're careful! If so, I'm not sure what the solution is here.

I  see the AGP dialog on track length allows a max value of 9:59:59 maybe the 2 ought to be consistent?
Comment 5 Yuri Chornoivan 2014-05-06 16:02:02 UTC
Git commit 01d512aa1168c8dffdf8942026563be164053116 by Yuri Chornoivan, on behalf of Abhay Sombanshi.
Committed on 06/05/2014 at 16:01.
Pushed by yurchor into branch 'master'.

Adjust maximum allowed length in CollectionBrowser filter dialog
REVIEW: 114752

M  +1    -0    ChangeLog
M  +8    -5    src/widgets/MetaQueryWidget.cpp

http://commits.kde.org/amarok/01d512aa1168c8dffdf8942026563be164053116